
local speed = 0.0092*5000
local maxDist = 200
local useMusic = true
local destroy = true
local push = true

function init()
    if(HasKey("savegame.mod.nextbot.speed")) then
        speed = GetFloat("savegame.mod.nextbot.speed")*5000
    end
    if(HasKey("savegame.mod.nextbot.maxdist")) then
        maxDist = GetFloat("savegame.mod.nextbot.maxdist")
    end
    if(HasKey("savegame.mod.nextbot.music")) then
        useMusic = GetBool("savegame.mod.nextbot.music")
    end
    if(HasKey("savegame.mod.nextbot.destroy")) then
        destroy = GetBool("savegame.mod.nextbot.destroy")
    end
    if(HasKey("savegame.mod.nextbot.push")) then
        push = GetBool("savegame.mod.nextbot.push")
    end
end

function draw()
    UiFont("regular.ttf", 24)
    UiPush()
        UiAlign("right middle")
        UiTranslate(UiCenter()-200, UiMiddle())
        UiText("Nextbot speed:")
        UiTranslate(100, 0)
        UiAlign("left middle")
        UiColor(1, 1, 1,0.5)
        UiRect(200, 3)
        UiColor(1, 1, 1,1)
        UiAlign("center middle")
        speed = math.floor(UiSlider("ui/common/dot.png", "x", speed, 1, 200))
        UiAlign("left middle")
        UiTranslate(210, 0)
        UiText(speed .. "")
        SetFloat("savegame.mod.nextbot.speed", speed/5000)
    UiPop()
    UiPush()
        UiAlign("right middle")
        UiTranslate(UiCenter()-200, UiMiddle()+50)
        UiText("Nextbot max distance view:")
        UiTranslate(100, 0)
        UiAlign("left middle")
        UiColor(1, 1, 1,0.5)
        UiRect(200, 3)
        UiColor(1, 1, 1,1)
        UiAlign("center middle")
        maxDist = math.floor(UiSlider("ui/common/dot.png", "x", maxDist, 1, 200))

        UiAlign("left middle")
        UiTranslate(210, 0)
        if(maxDist < 200) then
            UiText(maxDist .. "m")
        else
            UiText("infinite")
        end
        SetFloat("savegame.mod.nextbot.maxdist", maxDist)
    UiPop()

    UiPush()
    UiAlign("center middle")
    UiTranslate(UiCenter(), UiMiddle()+100)
    if UiTextButton("Use ambient: " .. tostring(useMusic)) then
        if(useMusic) then
            useMusic = false
        else
            useMusic = true
        end
        SetBool("savegame.mod.nextbot.music", useMusic)
    end
    UiPop()

    UiPush()
    UiAlign("center middle")
    UiTranslate(UiCenter(), UiMiddle()+150)
    if UiTextButton("Destroy voxels:" .. tostring(destroy)) then
        if(destroy) then
            destroy = false
        else
            destroy = true
        end
        SetBool("savegame.mod.nextbot.destroy", destroy)
    end
    UiPop()

    UiPush()
    UiAlign("center middle")
    UiTranslate(UiCenter(), UiMiddle()+200)
    if UiTextButton("Push objects:" .. tostring(push)) then
        if(push) then
            push = false
        else
            push = true
        end
        SetBool("savegame.mod.nextbot.push", push)
    end
    UiPop()


    UiPush()
    UiAlign("center middle")
    UiColor(1, 0.5, 0.5,1)
    UiTranslate(UiCenter(), UiMiddle()+250)
    if UiTextButton("Reset") then
        speed = 0.0092*5000
        maxDist = 200
        useMusic = true
    end
    UiPop()
end